Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.apps.groupspace.controls.generic
Enum ContentControlBase.NodeSearchType

    java.lang.Object
      java.lang.Enum<ContentControlBase.NodeSearchType>
          com.bea.apps.groupspace.controls.generic.ContentControlBase.NodeSearchType

All Implemented Interfaces
  Serializable, Comparable<ContentControlBase.NodeSearchType>

Enclosing interface:
  ContentControlBase<T extends ContentBase,V extends FolderBase>

    public static enum ContentControlBase.NodeSearchType

extends Enum<ContentControlBase.NodeSearchType>

Enum Constant Summary
`ALL`
`CONTENT`
`HIERARCHY`

Method Summary
`static ContentControlBase.NodeSearchType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ContentControlBase.NodeSearchType[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CONTENT

    public static final ContentControlBase.NodeSearchType CONTENT

### HIERARCHY

    public static final ContentControlBase.NodeSearchType HIERARCHY

### ALL

    public static final ContentControlBase.NodeSearchType ALL

Method Detail

### values

    public static final ContentControlBase.NodeSearchType[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static ContentControlBase.NodeSearchType valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved